# -*- coding: cp1251 -*-

"""
Задача "Парад роботов"
Шестая индивидуальная Интернет-олимпиада сезона 2009-2010.
Автор задачи: Федор Царев, fedor.tsarev@gmail.com
Автор решения: Владимир Ульянцев, ulyantsev@rain.ifmo.ru

Медленное решение, работает за O(n^2)
"""

inf = open("robots.in", "r")

[n, k] = [int(s) for s in inf.readline().split()]
assert 1 <= n <= 100000 
assert 0 <= k <= n

coordinates = [[float(s.split()[0]), float(s.split()[1])] for s in inf.readlines()]
assert len(coordinates) == n
for p in coordinates:
    for i in p: 
        assert abs(i) <= 1000000000
inf.close()

for i in xrange(k):
    coordinates[i] = [1.0 / n * (sum([p[d] for p in coordinates])) for d in 0, 1]
          
ouf = open("robots.out", "w")
print>>ouf, "%.3f %.3f" % (coordinates[k - 1][0], coordinates[k - 1][1])
ouf.close()
